import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { InfiniteScrollModule } from 'ngx-infinite-scroll';

import { MockSearchComponent } from 'app/mock-search/mock-search.component';
import { MOCK_SEARCH_ROUTE } from './mock-search.route';
import { GitSearchV2SharedModule } from 'app/shared/shared.module';
import { ExerciseDetailsComponent } from '../exercise-details/exercise-details.component';
import { ExerciseCardComponent } from '../exercise-card/exercise-card.component';
import { SearchInputComponent } from '../search-input/search-input.component';
import { QueryParamModule } from '@ngqp/core';

@NgModule({
  imports: [RouterModule.forChild([MOCK_SEARCH_ROUTE]), GitSearchV2SharedModule, QueryParamModule, InfiniteScrollModule],
  declarations: [MockSearchComponent, ExerciseDetailsComponent, ExerciseCardComponent, SearchInputComponent],
  exports: [MockSearchComponent],
})
export class MockSearchModule {}
